<?php
/**
 * @package   Syndicate Template - RocketTheme
 * @version   1.5.2 April 20, 2011
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Syndicate Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG',
	'ie6Warning' => 'ie6Warning'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
			'page-background' => '#ffffff',
			'logo-background' => '#1E1E1E',
			'logo-text' => '#FFFFFF',
			'logo-style' => '3',
			'logo-overlay' => 'dark',
			'logo-link' => '#CF3F1B',
			'header-background' => '#B10D00',
			'header-text' => '#ffffff',
			'header-image' => '5',
			'header-overlay' => 'light',
			'header-link' => '#ffffff',
			'submenu-background' => '#EBEBEB',
			'submenu-text' => '#333333',
			'submenu-overlay' => 'light',
			'submenu-link' => '#333333',
			'body-background' => '#fff',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#A50C0F',
			'footer-background' => '#f1f1f1',
			'footer-text' => '#666666',
			'footer-overlay' => 'light',
			'footer-link' => '#A50C0F',
			'alert-background' => '#FEF49C',
			'alert-text' => '#000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'full',
			'footerwidth' => 'full',
			'font-family' => 'syndicate'	
        ),
        'preset2' => array (
            'name' => 'Preset 2',
			'page-background' => '#E9E7E4',
			'logo-background' => '#2A2C2B',
			'logo-text' => '#FFFFFF',
			'logo-style' => '4',
			'logo-overlay' => 'dark',
			'logo-link' => '#FFFFFF',
			'header-background' => '#4D5B5A',
			'header-text' => '#ffffff',
			'header-image' => '1',
			'header-overlay' => 'light',
			'header-link' => '#ffffff',
			'submenu-background' => '#1E1E20',
			'submenu-text' => '#FFF',
			'submenu-overlay' => 'dark',
			'submenu-link' => '#FFF',
			'body-background' => '#F5F4EE',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#DC3522',
			'footer-background' => '#4D5B5A',
			'footer-text' => '#dddddd',
			'footer-overlay' => 'dark',
			'footer-link' => '#ffffff',
			'alert-background' => '#DC3522',
			'alert-text' => '#fff',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'full',
			'footerwidth' => 'wrapped',
			'webfonts-enabled' => '0',
			'webfonts-source' => 'google',
			'font-family' => 'helvetica'
        ),
        'preset3' => array (
            'name' => 'Preset 3',
			'page-background' => '#C3D3E0',
			'logo-background' => '#173757',
			'logo-text' => '#FFFFFF',
			'logo-style' => '3',
			'logo-overlay' => 'dark',
			'logo-link' => '#FFFFFF',
			'header-background' => '#2C68A3',
			'header-text' => '#ffffff',
			'header-image' => '3',
			'header-overlay' => 'light',
			'header-link' => '#ffffff',
			'submenu-background' => '#ECF0F5',
			'submenu-text' => '#333333',
			'submenu-overlay' => 'light',
			'submenu-link' => '#005BB2',
			'body-background' => '#FFFFFF',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#005BB2',
			'footer-background' => '#ECF0F5',
			'footer-text' => '#666666',
			'footer-overlay' => 'light',
			'footer-link' => '#005BB2',
			'alert-background' => '#FEF49C',
			'alert-text' => '#000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'full',
			'footerwidth' => 'full',
			'webfonts-enabled' => '0',
			'webfonts-source' => 'google',
			'font-family' => 'optima'
        ),
        'preset4' => array (
            'name' => 'Preset 4',
			'page-background' => '#333333',
			'logo-background' => '#333333',
			'logo-text' => '#FFFFFF',
			'logo-style' => '3',
			'logo-overlay' => 'dark',
			'logo-link' => '#FFFFFF',
			'header-background' => '#333333',
			'header-text' => '#ffffff',
			'header-image' => '4',
			'header-overlay' => 'light',
			'header-link' => '#ffffff',
			'submenu-background' => '#BB0014',
			'submenu-text' => '#FFFFFF',
			'submenu-overlay' => 'light',
			'submenu-link' => '#FFFFFF',
			'body-background' => '#FFFFFF',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#BB0014',
			'footer-background' => '#FFF',
			'footer-text' => '#666666',
			'footer-overlay' => 'light',
			'footer-link' => '#BB0014',
			'alert-background' => '#DBECFF',
			'alert-text' => '#000000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'wrapped',
			'footerwidth' => 'wrapped',
			'font-family' => 'syndicate'
        ),
        'preset5' => array (
	        'name' => 'Preset 5',
			'page-background' => '#C7C7C7',
			'logo-background' => '#235384',
			'logo-text' => '#cccccc',
			'logo-style' => '1',
			'logo-overlay' => 'dark',
			'logo-link' => '#ffffff',
			'header-background' => '#444444',
			'header-text' => '#eeeeee',
			'header-image' => '6',
			'header-overlay' => 'dark',
			'header-link' => '#ffffff',
			'submenu-background' => '#D8D8D8',
			'submenu-text' => '#333333',
			'submenu-overlay' => 'light',
			'submenu-link' => '#0C4790',
			'body-background' => '#EBEBEB',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#0C4790',
			'footer-background' => '#444444',
			'footer-text' => '#cccccc',
			'footer-overlay' => 'dark',
			'footer-link' => '#ffffff',
			'alert-background' => '#FEF49C',
			'alert-text' => '#000000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'wrapped',
			'footerwidth' => 'wrapped',
			'font-family' => 'optima'
        ),
        'preset6' => array (
            'name' => 'Preset 6',
			'page-background' => '#C8C7BD',
			'logo-background' => '#396C78',
			'logo-text' => '#FFFFFF',
			'logo-style' => '3',
			'logo-overlay' => 'dark',
			'logo-link' => '#CF3F1B',
			'header-background' => '#2E1142',
			'header-text' => '#ffffff',
			'header-image' => '8',
			'header-overlay' => 'dark',
			'header-link' => '#FFFFFF',
			'submenu-background' => '#D3D2C7',
			'submenu-text' => '#2D0F42',
			'submenu-overlay' => 'dark',
			'submenu-link' => '#2D0F42',
			'body-background' => '#E5E4D9',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#2D7484',
			'footer-background' => '#C8C7BD',
			'footer-text' => '#666666',
			'footer-overlay' => 'light',
			'footer-link' => '#2D7484',
			'alert-background' => '#C6D2D4',
			'alert-text' => '#333333',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'full',
			'footerwidth' => 'full',
			'webfonts-enabled' => '0',
			'webfonts-source' => 'google',
			'font-family' => 'syndicate'
        ),
        'preset7' => array (
            'name' => 'Preset 7',
			'page-background' => '#182A2C',
			'logo-background' => '#203F4A',
			'logo-text' => '#ADC400',
			'logo-style' => '4',
			'logo-overlay' => 'dark',
			'logo-link' => '#ADC400',
			'header-background' => '#81951D',
			'header-text' => '#FFFFFF',
			'header-image' => '9',
			'header-overlay' => 'dark',
			'header-link' => '#ffffff',
			'submenu-background' => '#2A5260',
			'submenu-text' => '#FFFFFF',
			'submenu-overlay' => 'dark',
			'submenu-link' => '#ADC400',
			'body-background' => '#F1F4F4',
			'body-text' => '#333',
			'body-overlay' => 'light',
			'body-link' => '#899B00',
			'footer-background' => '#203F4A',
			'footer-text' => '#cccccc',
			'footer-overlay' => 'dark',
			'footer-link' => '#ADC400',
			'alert-background' => '#DAE794',
			'alert-text' => '#000000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'wrapped',
			'footerwidth' => 'wrapped',
			'webfonts-enabled' => '0',
			'webfonts-source' => 'google',
			'font-family' => 'helvetica'
        ),
        'preset8' => array (
            'name' => 'Preset 8',
			'page-background' => '#E7E1D7',
			'logo-background' => '#367086',
			'logo-text' => '#FFFFFF',
			'logo-style' => '1',
			'logo-overlay' => 'dark',
			'logo-link' => '#FFFFFF',
			'header-background' => '#4B3D29',
			'header-text' => '#ffffff',
			'header-image' => '6',
			'header-overlay' => 'dark',
			'header-link' => '#ffffff',
			'submenu-background' => '#4A3C28',
			'submenu-text' => '#eeeeee',
			'submenu-overlay' => 'dark',
			'submenu-link' => '#ffffff',
			'body-background' => '#fff',
			'body-text' => '#444',
			'body-overlay' => 'light',
			'body-link' => '#E35C04',
			'footer-background' => '#367086',
			'footer-text' => '#eeeeee',
			'footer-overlay' => 'dark',
			'footer-link' => '#FFFFFF',
			'alert-background' => '#E7E1D7',
			'alert-text' => '#000',
			'readonstyle' => 'button',
			'articlestyle' => 'title7',
			'articledetails' => 'layout2',
			'headerwidth' => 'full',
			'footerwidth' => 'full',
			'webfonts-enabled' => '0',
			'webfonts-source' => 'google',
			'font-family' => 'syndicate'
        )
    )
);

$gantry_browser_params = array(
    'ie6' => array(
        'bodylevel' => 'low',
        'readonstyle' => 'link'
    )
);

$gantry_belatedPNG = array('.png','.control-next','.control-prev','.roknewsflash','#rt-logoblock','#rt-logo', '.stuff', '.rt-joomla .icon','#rt-mainbody .inputbox','span.breadcrumbs img','#breadcrumbs-home','ul.bullet-no1 li','ul.bullet-no2 li','ul.bullet-no3 li','#gantry-totop .totop-icon','#rt-accessibility a.small .button','#rt-accessibility a.large .button','.article-rating .rating-bar','.article-rating .rating-bar div','.date-icon','#modlgn_username','#modlgn_passwd','.details-layout3 .rt-infobutton','#rt-navigation2','#rt-footerbar','.active .tabnumber','.icon-left .tabnumber','.last .tabnumber','.rt-demo-typo-block','.image-full img','.box1','.box2','.box3','.box4','.box5','.box6','.box7','.title1 .module-title','.title2 .module-title','.title3 .module-title','.title4 .module-title','.title5 .module-title','.title6 .module-title','.title7 .module-title','.roktabs-container-inner','.roktabs-links ul li.active','.micronews-list','#rokmicronews .micronews-list ul li.active a span','#rokmicronews .micronews-list ul li.active a','ul.latestnews li a','.adbox','.roktwittie-surround');

$gantry_ie6Warning = "<h3>IE6 DETECTED: Currently Running in Compatibility Mode</h3><h4>This site is compatible with IE6, however your experience will be enhanced with a newer browser</h4><p>Internet Explorer 6 was released in August of 2001, and the latest version of IE6 was released in August of 2004.  By continuing to run Internet Explorer 6 you are open to any and all security vulnerabilities discovered since that date.  In March of 2009, Microsoft released version 8 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than both version 6 and 7 that came before it.</p> <br /><a class='external'  href='http://www.microsoft.com/windows/internet-explorer/?ocid=ie8_s_cfa09975-7416-49a5-9e3a-c7a290a656e2'>Download Internet Explorer 8 NOW!</a>";